=== docs/requirements.txt ===
sphinx-rtd-theme
numpydoc
autodoc
numpy
fsspec
h5py
numcodecs
tifffile
scipy
cfgrib
eccodes
astropy
xarray
zarr
ujson
