=== debian/changelog ===
kerchunk (0.2.9-2) unstable; urgency=medium

  * Update dates in d/copyright.
  * debian/control:
    - Mark python-kerchunk-doc as "Multi-Arch: foreign".

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Feb 2026 18:54:55 +0000

kerchunk (0.2.9-1) unstable; urgency=low

  * Initial release (Closes: #1124102).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Dec 2025 08:17:47 +0000
